Page MenuHomePhabricator

+2 for Zoranzoki21 in mediawiki/*
Closed, DeclinedPublic

Description

This is the fourth time (I think) I'm proposing myself to get +2 right for mediawiki/* , from the fifth time I became an administrator on Serbian Wikipedia. :)

I requesting +2 right, so I can help @Umherirrender, @Jdforrester-WMF and others in this area. I think I have enough experience to merge patches for which I'm really sure that are correct and won't make problems.

Here you can find list of my patches which are merged, here are currently open patches.

I'm too in Trusted-Contributors group and here on Phabricator and on Gerrit.

Also, I have +2 right for few repositories on Gerrit related to extensions for MediaWiki, like MediaWiki-extensions-GoogleAdSense, PushToWatch, RandomArea and RandomPages.


comments, +1, -1

Event Timeline

Kizule created this task.Jan 25 2020, 11:12 PM
Restricted Application added subscribers: Petar.petkovic, Aklapper. · View Herald TranscriptJan 25 2020, 11:12 PM
Kizule updated the task description. (Show Details)Jan 25 2020, 11:17 PM

@Zoranzoki21 can you give some examples of more complex contributions? A lot of your commits appear to be fairly rote, even if they are large (eg adding eslint includes a large update to package-lock.json).

I'm not very familiar with the processes here, but I believe that Zoran wouldn't in any way abuse this right, but would put the greatest effort and attention, as he did so far, to make Wikimedia projects a better place for everyone. Support.

Kizule added a comment.EditedJan 26 2020, 12:01 AM

@Zoranzoki21 can you give some examples of more complex contributions? A lot of your commits appear to be fairly rote, even if they are large (eg adding eslint includes a large update to package-lock.json).

Hi @DannyS712. Thanks for engaging in the discussion. Every day, I make changes that are of great importance. This is my first patch which I made on Gerrit. In terms of complicated patches, I don't think we look on it in the same way, for me some patches like adding phpcs/eslint and converting extension to use extension registration, are complicated (some less some more depends on the case).

I am not of the opinion that the importance of patches which I usually make, should be diminished.

Best regards!

My opinion is same as last time. Sorry.

To be clear, i don't mean to say your patches are unimportant in any way. Part of a +2'ers job is to ensure that code, even simple patches, don't have unintended consequences. This is why I (can't speak for others) look for more complex patches from applicants - I want to ensure that that people with +2 would be able to identify complex code interactions when reviewing seemingly straight forward patches.

To be clear, i don't mean to say your patches are unimportant in any way. Part of a +2'ers job is to ensure that code, even simple patches, don't have unintended consequences. This is why I (can't speak for others) look for more complex patches from applicants - I want to ensure that that people with +2 would be able to identify complex code interactions when reviewing seemingly straight forward patches.

Hi @Bawolff, yes, sure, I understand what you mean. But I can make a difference between something that might make a problem and something that won't make a problem.

Tgr updated the task description. (Show Details)Jan 26 2020, 8:10 AM
Tgr added a subscriber: Tgr.Jan 26 2020, 8:22 AM

Hi @Zoranzoki21, thanks for all your work on MediaWiki!

I tried to look at your +1/-1 votes (not very successfully, Gerrit is crap at mass review of somebody's actions) and they seemed mostly like process issues (like commit message formatting) or CI issues. Those are definitely valuable, but historically we have given +2 to people who can review nontrivial business logic or UX changes, and I couldn't find any example of that. Do you remember any instances where you pointed out more subtle problems with a patch?

Kizule added a comment.EditedJan 26 2020, 1:09 PM

Hi @Zoranzoki21, thanks for all your work on MediaWiki!

I tried to look at your +1/-1 votes (not very successfully, Gerrit is crap at mass review of somebody's actions) and they seemed mostly like process issues (like commit message formatting) or CI issues. Those are definitely valuable, but historically we have given +2 to people who can review nontrivial business logic or UX changes, and I couldn't find any example of that. Do you remember any instances where you pointed out more subtle problems with a patch?

Hello @Tgr, I think I did it, sure. But, you're right about problem with Gerrit, so I can't provide response right now.

I'm unclear about what substantive differences there have been since T231758. Do Umherirrender or Jdforrester-WMF support this request?

Kizule closed this task as Declined.Feb 2 2020, 10:24 PM

Closing as declined.